import GGI.ft2
import sys

def getall(o, l):
    for i in l.split():
        print '%20s :'%i,
        try:
            r = getattr(o,i)
            print r
        except:
            print '*** Not there ***'

l = GGI.ft2.Library()

print '-'*80
print '-- Library'
print '-'*80
getall(l,"""
Face
version
""")
print '-'*80

f = l.Face(sys.argv[1])

print '-'*80
print '-- Face'
print '-'*80
getall(f,"""
Glyph
availableSizes
attachFile
ascender
bbox
bitmap
charmaps
charmap
descender
faceIndex
faceFlags
familyName
firstChar
getCharIndex
getNameIndex
getKerning
getGlyphName
glyphFormat
height
loadGlyph
loadChar
maxAdvanceWidth
maxAdvanceHeight
nextChar
numFaces
numGlyphs
numFixedSizes
numCharmaps
postscriptName
setCharSize
setPixelSizes
setTranform
styleFlags
styleName
sizeMetrics
unitsPerEM
underlinePosition
underlineThickness
""")

print '--'
print 'instance:',
try:
    type(f)()
    print "*** should not be allowed"
except:
    print "ok"
print '-'*80

f.setCharSize(50)
f.loadGlyph(5)
g = f.Glyph()

print '-'*80
print '-- Glyph'
print '-'*80

getall(g,"""
Glyph
bitmap
format
getCBox
transform
toBitmap
""")

print '-'*80
